package com.hzya.frame.sysnew.application.entity;


/**
 * 应用表(SysApplication)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:22:18
 */
public class SysApplicationVo {
    /**  id */
    private String id;
    /**  应用logo（地址或者id） */
     private String appLogo;
    /**  应用名称 */
    private String name;
    /**  appid */
    private Integer appId;
    /**  ip白名单 */
    private String systemAddress;
    /**  版本号 */
    private String versionNumber;
    /**  接入方式（1、接口2、H53、PC网页4、PC应用程序 ） */
    private String accessMode;
    /**  厂商 */
    private String manufacturer;
    /**  所属领域（枚举表） */
    private String affiliationField;
    /**  所属领域 */
    private String affiliationFieldName;
    /**  应用简介 */
    private String appIntroduction;
    /**  接口环境是否启用（1、开启 2、关闭） */
    private String interfaceStatus;
    /**  数据源是否启用（1、开启 2、关闭） */
    private String dbStatus;
    /**  应用是否启用（1、启用 2、停用） */
    private String appStatus;

    /**  系统类型  1、致远OA 2、用友U8C 3、用友BIP */
    private String appType;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppLogo() {
        return appLogo;
    }

    public void setAppLogo(String appLogo) {
        this.appLogo = appLogo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersionNumber() {
        return versionNumber;
    }

    public void setVersionNumber(String versionNumber) {
        this.versionNumber = versionNumber;
    }

    public String getAccessMode() {
        return accessMode;
    }

    public void setAccessMode(String accessMode) {
        this.accessMode = accessMode;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getAffiliationField() {
        return affiliationField;
    }

    public void setAffiliationField(String affiliationField) {
        this.affiliationField = affiliationField;
    }

    public String getAppIntroduction() {
        return appIntroduction;
    }

    public void setAppIntroduction(String appIntroduction) {
        this.appIntroduction = appIntroduction;
    }

    public String getInterfaceStatus() {
        return interfaceStatus;
    }

    public void setInterfaceStatus(String interfaceStatus) {
        this.interfaceStatus = interfaceStatus;
    }

    public String getDbStatus() {
        return dbStatus;
    }

    public void setDbStatus(String dbStatus) {
        this.dbStatus = dbStatus;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getAffiliationFieldName() {
        return affiliationFieldName;
    }

    public void setAffiliationFieldName(String affiliationFieldName) {
        this.affiliationFieldName = affiliationFieldName;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getSystemAddress() {
        return systemAddress;
    }

    public void setSystemAddress(String systemAddress) {
        this.systemAddress = systemAddress;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }
}

